Package com.io7m.cedarbridge.runtime.api

# Record Class CBTypeArgument

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.runtime.api.CBTypeArgument

Record Components:
  `target` - The type name
  `arguments` - The type arguments

All Implemented Interfaces:
  `Formattable`

public record CBTypeArgument(CBQualifiedTypeName target, List<CBTypeArgument> arguments) extends Record implements Formattable
A type argument.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBTypeArgument(CBQualifiedTypeName target, List<CBTypeArgument> arguments)`
  A type argument.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<CBTypeArgument>`
  `arguments()`
  Returns the value of the `arguments` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `void`
  `formatTo(Formatter formatter, int flags, int width, int precision)`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CBQualifiedTypeName`
  `target()`
  Returns the value of the `target` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBTypeArgument

    public CBTypeArgument(CBQualifiedTypeName target, List<CBTypeArgument> arguments)
    A type argument.
    Parameters:
      `target` - The type name
      `arguments` - The type arguments

- ## Method Details

  - ### formatTo

    public void formatTo(Formatter formatter, int flags, int width, int precision)
    Specified by:
      `formatTo` in interface `Formattable`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### target

    public CBQualifiedTypeName target()
    Returns the value of the `target` record component.
    Returns:
      the value of the `target` record component

  - ### arguments

    public List<CBTypeArgument> arguments()
    Returns the value of the `arguments` record component.
    Returns:
      the value of the `arguments` record component